### Function

# Vips col_scRGB2XYZ

#### Declaration [src]

    int
    vips_col_scRGB2XYZ (
      float R,
      float G,
      float B,
      float* X,
      float* Y,
      float* Z
    )

#### Description [src]

Turn scRGB into XYZ.

See also

`vips_scRGB2XYZ()`.

#### Parameters

`R`

  Type: `float`

  Input scRGB value.

`G`

  Type: `float`

  Input scRGB value.

`B`

  Type: `float`

  Input scRGB value.

`X`

  Type: `float*`

  Return XYZ colour.

  The argument will be set by the function.

`Y`

  Type: `float*`

  Return XYZ colour.

  The argument will be set by the function.

`Z`

  Type: `float*`

  Return XYZ colour.

  The argument will be set by the function.

#### Return value

Type: `int`

No description available.